# Order factories

Order factories are responsible for the generation of the target orders within a subscription process. Order factories take some of the information (e.g. payment method, payment source, addresses, etc.) needed for the recurring orders generation from the source order. What and how items are associated with those orders depends on the order factory type. The available order factories are:

* [Recurring order copies](https://docs.commercelayer.io/core-api-reference/recurring_order_copies) — used for automatically generated order subscriptions according to a subscription model, based on the related order subscription items.
* [Order copies](https://docs.commercelayer.io/core-api-reference/order_copies) – used for manually generated order subscriptions, cloning all the source order's line items.

{% hint style="info" %}
This is an **immutable API**, meaning that create, update, and delete operations are not allowed on this endpoint. You can only fetch a list of order factories or a single order factory object.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/order_factories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
